rte_pipeline_table_stats(3)

NAME
rte_pipeline_table_stats

SYNOPSIS

#include <rte_pipeline.h>

  Data Fields

struct rte_table_stats stats
uint64_t n_pkts_dropped_by_lkp_hit_ah
uint64_t n_pkts_dropped_by_lkp_miss_ah
uint64_t n_pkts_dropped_lkp_hit
uint64_t n_pkts_dropped_lkp_miss

Detailed Description

Pipeline table stats.

Definition at line 105 of file rte_pipeline.h.

Field Documentation

  struct rte_table_stats stats
Table stats.

Definition at line 107 of file rte_pipeline.h.

  uint64_t n_pkts_dropped_by_lkp_hit_ah
Number of packets dropped by lookup hit action handler.

Definition at line 110 of file rte_pipeline.h.

  uint64_t n_pkts_dropped_by_lkp_miss_ah
Number of packets dropped by lookup miss action handler.

Definition at line 113 of file rte_pipeline.h.

  uint64_t n_pkts_dropped_lkp_hit
Number of packets dropped by pipeline in behalf of this table based on action specified in table entry.

Definition at line 117 of file rte_pipeline.h.

  uint64_t n_pkts_dropped_lkp_miss
Number of packets dropped by pipeline in behalf of this table based on action specified in table entry.

Definition at line 121 of file rte_pipeline.h.

Author

Generated automatically by Doxygen for DPDK from the source code.